javax.servlet.http

## Interface HttpSessionAttributeListener

- All Superinterfaces:
    EventListener

      public interface HttpSessionAttributeListener
      extends EventListener

  Interface for receiving notification events about HttpSession attribute changes.

  In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

  The order in which implementations of this interface are invoked is unspecified.

  Since:
    Servlet 2.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeAdded(HttpSessionBindingEvent event)` Receives notification that an attribute has been added to a session.
    `void` | `attributeRemoved(HttpSessionBindingEvent event)` Receives notification that an attribute has been removed from a session.
    `void` | `attributeReplaced(HttpSessionBindingEvent event)` Receives notification that an attribute has been replaced in a session.

- - ### Method Detail

    - #### attributeAdded

          void attributeAdded(HttpSessionBindingEvent event)

      Receives notification that an attribute has been added to a session.
      Parameters:
        `event` - the HttpSessionBindingEvent containing the session and the name and value of the attribute that was added

    - #### attributeRemoved

          void attributeRemoved(HttpSessionBindingEvent event)

      Receives notification that an attribute has been removed from a session.
      Parameters:
        `event` - the HttpSessionBindingEvent containing the session and the name and value of the attribute that was removed

    - #### attributeReplaced

          void attributeReplaced(HttpSessionBindingEvent event)

      Receives notification that an attribute has been replaced in a session.
      Parameters:
        `event` - the HttpSessionBindingEvent containing the session and the name and (old) value of the attribute that was replaced

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.